Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations SSS148 on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Search results for query: *

  1. qiushui

    How Can Delete Product Description With Macro

    You can use recursion with a VBA macro to iterate through each Product in your assembly and clear its description property. Here is my code Sub Main() Dim doc As ProductDocument Set doc = CATIA.ActiveDocument Dim rootPrd As Product Set rootPrd = doc.Product...
  2. qiushui

    How to loop through already opened .CATDrawing files in catia v5 using vba

    You can loop through CATIA.Documents, check whether the type of a Document is DrawingDocument. Sub Main() Dim n As Long, i As Long n = CATIA.Documents.Count Dim doc As Document For i = 1 To n Set doc = CATIA.Documents.Item(i) If TypeOf doc Is DrawingDocument...
  3. qiushui

    CATIA Macro to insert product/part without link

    You can use Documents.NewFrom() method to get PartDocument or ProductDocument, this doesn't have link with the original document, then get PartDocument.Product or ProductDocument.Product, then use AddComponent() .
  4. qiushui

    catscript errors

    Yes, there is only "Product" type for Product in CATIA Automation objects.
  5. qiushui

    About copy - paste special - copy with link in product

    You should use the Section object of root ProductDocument, don't use Selection of PartDocument. The parameter for "AsResultWithLink" is "CATPrtResult", not "CATPrtResultWithLink" , you can find this from Automation Help. Here is my code, you can take a look Public Sub CATMain() Dim part_a...

Part and Inventory Search